---
categories: network web
toc: no
title: Conventions pour le wiki Evolix
...

# Conventions de syntaxe

<http://daringfireball.net/projects/markdown/basics>

## Metadata

    ---
    categories: network web
    toc: no
    title: Haskell and Category Theory
    ...

## Syntaxe

Voir [Help#markdown]()

Commandes Shell (sans output) :

    ~~~{.bash}
    $ apt-cache search foo
    # apt install foo
    ~~~

Commandes Shell (avec output) :

    ~~~
    $ dmesg
    [8044916.823878] [IPTABLES DROP] : IN=eth0 OUT= MAC=00:00:00:28:71:00:00:54:00:8f:01:00:00:00 SRC=192.0.2.1 DST=192.0.2.2 LEN=52 TOS=0x00 PREC=0x00 TTL=64 ID=13872 DF PROTO=TCP SPT=52269 DPT=22 WINDOW=29200 RES=0x00 SYN URGP=0 
    ~~~

Fichiers avec coloration syntaxique si disponible (voir ci-dessous) :

    ~~~{.apache}
    ServerName www.example.com
    ~~~~

Liens externes :

    <http://www.example.com/>
    [Lien vers Example](http://www.example.com/)

Liens internes :

    [HowtoFoo]()
    [HowtoFoo#name]()
    [#name]()

## Coloration syntaxique

~~~
$ ./.cabal/bin/pandoc -v
pandoc 1.17.2
Compiled with texmath 0.8.6.5, highlighting-kate 0.6.2.1.
Syntax highlighting is supported for the following languages:
    abc, actionscript, ada, agda, apache, asn1, asp, awk, bash, bibtex, boo, c,
    changelog, clojure, cmake, coffee, coldfusion, commonlisp, cpp, cs, css,
    curry, d, diff, djangotemplate, dockerfile, dot, doxygen, doxygenlua, dtd,
    eiffel, elixir, email, erlang, fasm, fortran, fsharp, gcc, glsl,
    gnuassembler, go, hamlet, haskell, haxe, html, idris, ini, isocpp, java,
    javadoc, javascript, json, jsp, julia, kotlin, latex, lex, lilypond,
    literatecurry, literatehaskell, llvm, lua, m4, makefile, mandoc, markdown,
    mathematica, matlab, maxima, mediawiki, metafont, mips, modelines, modula2,
    modula3, monobasic, nasm, noweb, objectivec, objectivecpp, ocaml, octave,
    opencl, pascal, perl, php, pike, postscript, prolog, pure, python, r,
    relaxng, relaxngcompact, rest, rhtml, roff, ruby, rust, scala, scheme, sci,
    sed, sgml, sql, sqlmysql, sqlpostgresql, tcl, tcsh, texinfo, verilog, vhdl,
    xml, xorg, xslt, xul, yacc, yaml, zsh
~~~